<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="bus.mapper.BAdvertMapper">

 <select id="list" parameterType="bus.model.dto.BAdvertPageDto" resultType="bus.model.po.BAdvertPo">
   select
   id,
   pic_url,
   sort,
   title,
   min_title,
   content,
   jump,
   create_time,
   update_time,
   creator_id,
   updater_id,
   creator_name,
   updater_name,
   is_delete
   from
   b_advert
   <where>
     is_delete = 0
     <if test="id != null and id != ''">
       and id = #{id}
     </if>
     <if test="picUrl != null and picUrl != ''">
       and pic_url = #{picUrl}
     </if>
     <if test="sort != null and sort != ''">
       and sort = #{sort}
     </if>
     <if test="title != null and title != ''">
       and title = #{title}
     </if>
   </where>
 </select>

</mapper>
